API referenceMocking services
Create a mock result
Create a mocked service result for a specific person. Enables testing and development workflows by mocking service execution outcomes.
POST
/mockery/resultcurl -X POST "https://demo.verigram.kz/mockery/result" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"person_id": "string",
"result": {
"service_name": "verilive"
}
}'Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Тело
application/json
person_idstringобязательноIdentifier of a person associated with the session. Alphanumeric string.
resultone ofобязательноService-specific result selected by service_name.
filesmap of stringBase64-encoded files associated with the mocked service result, mapped by file label.
Ответ
Mock result created
{
"error_code": "NOT_FOUND, UNKNOWN_DOC_TYPE, UNAUTHORIZED, INVALID_PAYLOAD, DUPLICATE_KEY",
"error_msg": "Person ID is required"
}